package com.mortals.xhx.module.check.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.check.model.CheckReviewRecordEntity;
import com.mortals.xhx.module.check.service.CheckReviewRecordService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 评价差评绩效核查信息
*
* @author zxfei
* @date 2023-07-11
*/
@RestController
@RequestMapping("check/review/record")
public class CheckReviewRecordController extends BaseCRUDJsonBodyMappingController<CheckReviewRecordService,CheckReviewRecordEntity,Long> {

    @Autowired
    private ParamService paramService;

    public CheckReviewRecordController(){
        super.setModuleDesc( "评价差评绩效核查信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "reviewResult", paramService.getParamBySecondOrganize("CheckReviewRecord","reviewResult"));
        this.addDict(model, "reviewSource", paramService.getParamBySecondOrganize("CheckReviewRecord","reviewSource"));
        this.addDict(model, "subMethod", paramService.getParamBySecondOrganize("CheckReviewRecord","subMethod"));
        this.addDict(model, "checkStatus", paramService.getParamBySecondOrganize("CheckReviewRecord","checkStatus"));
        this.addDict(model, "subAddType", paramService.getParamBySecondOrganize("CheckReviewRecord","subAddType"));
        super.init(model, context);
    }

    /**
     * 审核
     * @param entity
     * @return
     */
    @PostMapping({"examine"})
    public String examine(@RequestBody CheckReviewRecordEntity entity) {
        Map<String, Object> model = new HashMap();
        Context context = this.getContext();
        int code = 1;
        String busiDesc = "考勤绩效核查审核";
        try {
            this.service.examine(entity, context);
            model.put("id", entity.getId());
            model.put("entity", entity);
            model.put("message_info", busiDesc + "成功");
            this.recordSysLog(this.request, busiDesc + " 【成功】 [id:" + entity.getId() + "]");
        } catch (Exception var9) {
            this.doException(this.request, busiDesc, model, var9);
            model.put("entity", entity);
            this.init(model, context);
            code = this.saveException(entity, model, context, var9);
        }

        this.init(model, context);
        JSONObject ret = new JSONObject();
        ret.put("code", code);
        ret.put("msg", model.remove("message_info"));
        ret.put("data", model);
        return ret.toJSONString();
    }
}